﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Silanis.ESL.SDK.Builder;
using Silanis.ESL.SDK;
using System.Diagnostics;

namespace attributes
{
    class Class1
    {
        private static string key = "api_key";
        private static string url = "https://sandbox.esignlive.com/api";

        private static void Main()
        {
            EslClient eslClient = new EslClient(key, url);

            DocumentPackage superDuperPackage = PackageBuilder.NewPackageNamed("Policy " + DateTime.Now)
                 .DescribedAs("This is a package created using the e-SignLive SDK")
                      .ExpiresOn(DateTime.Now.AddMonths(1))
                      .WithEmailMessage("This message should be delivered to all signers")
                      .WithSigner(SignerBuilder.NewSignerWithEmail("john.smith@example.com")
                           .WithCustomId("Client1")
                           .WithFirstName("John")
                           .WithLastName("Smith")
                           .WithTitle("Managing Director")
                           .WithCompany("Acme Inc."))
                      .WithDocument(DocumentBuilder.NewDocumentNamed("First Document")
                           .FromFile(@"C:/Users/hhaidary/Desktop/pdf/doc1.pdf")
                           .WithSignature(SignatureBuilder.SignatureFor("john.smith@example.com")
                           .OnPage(0)
                           .WithField(FieldBuilder.CheckBox()
                           .OnPage(0)
                           .AtPosition(400, 200)
                           .WithValue("x"))
                           .AtPosition(100, 100)))
                      .WithAttributes(new DocumentPackageAttributesBuilder()
                           .WithAttribute("First Name", "Bill")
                           .WithAttribute("Last Name", "Johnson")
                           .WithAttribute("Signing Order", "1")
                           .Build())
                      .Build();

            PackageId packageId = eslClient.CreatePackage(superDuperPackage);

            DocumentPackage retrievedPackage = eslClient.GetPackage(packageId);

            IDictionary<string, Object> attributes = retrievedPackage.Attributes.Contents;

            foreach (KeyValuePair<string, Object> entry in attributes)
            {
                Debug.WriteLine(entry.Key + ": " + entry.Value);
            }
        }
    }
}
